## rdp-alignment 1.2.0

=== jni/Makefile ===
hmm_dir = /scratch/fishjord/apps/hmmer_svn/
#hmm_dir = /scratch/fishjord/apps/hmmer_svn_linux/
jvm_home = /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home/
#jvm_home = /usr/java/latest
inc_dirs = -I$(hmm_dir)/easel/ -I$(hmm_dir)/src/ -I$(jvm_home)/include -I$(jvm_home)/include/linux
lib_dirs = -L$(hmm_dir)/easel/ -L$(hmm_dir)/src/
libs = -lhmmer -leasel -lm

gcc_opts = -std=gnu99 -O3 -fomit-frame-pointer -fstrict-aliasing -mpentiumpro -msse2 #-ggdb

libhmmerwrapper.dylib: hmmer_wrapper.c edu_msu_cme_rdp_alignment_hmm_jni_HMMER3.c
	gcc -dynamiclib -o libhmmerwrapper.dylib \
	$(gcc_opts) \
	edu_msu_cme_rdp_alignment_hmm_jni_HMMER3.c hmmer_wrapper.c \
	$(inc_dirs) $(lib_dirs) $(libs)

libhmmerwrapper.so: libhmmer.so libeasel.so hmmer_wrapper.c edu_msu_cme_rdp_alignment_hmm_jni_HMMER3.c
	gcc -shared -Wl,-soname,libhmmerwrapper.so -o libhmmerwrapper.so \
	$(gcc_opts) -fPIC \
	edu_msu_cme_rdp_alignment_hmm_jni_HMMER3.c hmmer_wrapper.c \
	$(inc_dirs) -L. $(libs) -lc

libhmmer.so: 
	gcc -shared -Wl,-soname,libhmmer.so -o libhmmer.so $(hmm_dir)/src/*.o $(hmm_dir)/src/impl/*.o
libeasel.so: 
	gcc -Wl,-soname,libeasel.so -o libeasel.so -shared $(hmm_dir)/easel/*.o

wrapper: hmmer_wrapper.c hmmer_wrapper.h
	gcc -o wrapper $(gcc_opts) \
	hmmer_wrapper.c \
	$(inc_dirs) $(lib_dirs) $(libs)

=== debian/changelog ===
rdp-alignment (1.2.0-6) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 17:26:50 +0100

rdp-alignment (1.2.0-5) unstable; urgency=medium

  * Add jaxb jars in classpath, Closes: #912388

 -- Olivier Sallou <osallou@debian.org>  Mon, 05 Nov 2018 08:46:01 +0000

rdp-alignment (1.2.0-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 13:34:15 +0200

rdp-alignment (1.2.0-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 15:10:50 +0100

rdp-alignment (1.2.0-2) unstable; urgency=medium

  * Fix build when /bin/sh is set to bash (thanks for the patch to
    Chris Lamb <lamby@debian.org)
    Closes: #841440
  * cme fix dpkg-control (including removing Conflicts with never released
    librdp-alignment-java)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Oct 2016 20:27:29 +0200

rdp-alignment (1.2.0-1) unstable; urgency=medium

  * Initial upload to Debian
    Closes: #780310

 -- Andreas Tille <tille@debian.org>  Sun, 01 Mar 2015 18:35:26 +0100

librdp-alignment-java (0.1.20140606-0biolinux1) trusty; urgency=medium

  * New package wanted for rdp-classifier

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 06 Oct 2014 18:14:33 +0100

=== debian/control ===
Source: rdp-alignment
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               libcommons-io-java,
               libcommons-cli-java,
               libcommons-lang-java,
               libjaxb-java,
               libjaxb-api-java,
               junit4,
               ant,
               ant-optional,
               rdp-readseq
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/rdp-alignment
Vcs-Git: https://salsa.debian.org/med-team/rdp-alignment.git
Homepage: https://github.com/rdpstaff/AlignmentTools
Rules-Requires-Root: no

Package: rdp-alignment
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Ribosomal Database Project (RDP) alignment tools package
 The Alignment tools package contains commands to do defined community
 analysis, pairwise alignment and hidden markov model (HMMER3 models,
 no training).
 .
 The package also contains the AlignmentTools Java library which is used by
 other RDP tools.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/jaba/jaxb-api.jar:/usr/share/java/jaxb-impl.jar:/usr/share/java/commons-cli.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/rdp-readseq.jar

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	rm -rf lib build *.jar junit-tmp.xml TEST-*.xml
	find test -name '*.class' -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp debian/junit.xml ./junit-tmp.xml
	ant -f junit-tmp.xml junit
endif

override_dh_clean:
	dh_clean
	rm -f debian/manifest
	rm -f debian/*.log

override_dh_auto_build:
	#Ant is over-complicating things.  Do it the easy way.
	jh_build rdp-alignment.jar src
	cd src ; jar uf ../rdp-alignment.jar data
	#Also set the manifest like so
	echo usr/share/java/rdp-alignment.jar:    >debian/manifest
	printf '\tClass-Path: jaxb-api.jar jaxb-impl.jar commons-cli.jar commons-lang.jar commons-io.jar rdp-readseq.jar\n' >>debian/manifest
	printf '\tMain-Class: '`grep '^main.class=' nbproject/project.properties | cut -c 12-`'\n' >>debian/manifest

=== debian/watch ===
version=4

https://github.com/rdpstaff/AlignmentTools/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
